Delen via


Iot Connectors - Create Or Update

Hiermee maakt of werkt u een IoT Connector-resource bij met de opgegeven parameters.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HealthcareApis/workspaces/{workspaceName}/iotconnectors/{iotConnectorName}?api-version=2022-06-01

URI-parameters

Name In Vereist Type Description
iotConnectorName
path True

string

minLength: 3
maxLength: 24

De naam van de IoT Connector-resource.

resourceGroupName
path True

string

minLength: 1
maxLength: 90
pattern: ^[-\w\._\(\)]+$

De naam van de resourcegroep die het service-exemplaar bevat.

subscriptionId
path True

string

De abonnement-ID.

workspaceName
path True

string

minLength: 3
maxLength: 24

De naam van de werkruimteresource.

api-version
query True

string

Client-API-versie.

Aanvraagbody

Name Type Description
etag

string

Een etag die is gekoppeld aan de resource, die wordt gebruikt voor optimistische gelijktijdigheid bij het bewerken ervan.

identity

Identity

Instelling die aangeeft of aan de service een beheerde identiteit is gekoppeld.

location

string

De resourcelocatie.

properties.deviceMapping

IotMappingProperties

Apparaattoewijzingen.

properties.ingestionEndpointConfiguration

IotEventHubIngestionEndpointConfiguration

Bronconfiguratie.

tags

object

Resourcetags.

Antwoorden

Name Type Description
200 OK

IotConnector

Bijgewerkt- Aanvraag geaccepteerd plaatsen en een bestaande resource wordt bijgewerkt.

201 Created

IotConnector

Gemaakt: aanvraag geaccepteerd plaatsen en een bestaande resource wordt asynchroon gemaakt.

202 Accepted

IotConnector

Geaccepteerd - Aanvraag geaccepteerd plaatsen en een bestaande resource wordt asynchroon bijgewerkt.

Other Status Codes

ErrorDetails

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

Azure Active Directory OAuth2-stroom

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Create an IoT Connector

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue?api-version=2022-06-01

{
  "location": "westus",
  "tags": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "ingestionEndpointConfiguration": {
      "eventHubName": "MyEventHubName",
      "consumerGroup": "ConsumerGroupA",
      "fullyQualifiedEventHubNamespace": "myeventhub.servicesbus.windows.net"
    },
    "deviceMapping": {
      "content": {
        "templateType": "CollectionContent",
        "template": [
          {
            "templateType": "JsonPathContent",
            "template": {
              "typeName": "heartrate",
              "typeMatchExpression": "$..[?(@heartrate)]",
              "deviceIdExpression": "$.deviceid",
              "timestampExpression": "$.measurementdatetime",
              "values": [
                {
                  "required": "true",
                  "valueExpression": "$.heartrate",
                  "valueName": "hr"
                }
              ]
            }
          }
        ]
      }
    }
  }
}

Voorbeeldrespons

{
  "name": "blue",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors",
  "location": "westus",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "tags": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "provisioningState": "Succeeded",
    "ingestionEndpointConfiguration": {
      "eventHubName": "MyEventHubName",
      "consumerGroup": "ConsumerGroupA",
      "fullyQualifiedEventHubNamespace": "myeventhub.servicesbus.windows.net"
    },
    "deviceMapping": {
      "content": {
        "templateType": "CollectionContent",
        "template": [
          {
            "templateType": "JsonPathContent",
            "template": {
              "typeName": "heartrate",
              "typeMatchExpression": "$..[?(@heartrate)]",
              "deviceIdExpression": "$.deviceid",
              "timestampExpression": "$.measurementdatetime",
              "values": [
                {
                  "required": "true",
                  "valueExpression": "$.heartrate",
                  "valueName": "hr"
                }
              ]
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}
{
  "name": "blue",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors",
  "location": "westus",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "tags": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "provisioningState": "Creating",
    "ingestionEndpointConfiguration": {
      "eventHubName": "MyEventHubName",
      "consumerGroup": "ConsumerGroupA",
      "fullyQualifiedEventHubNamespace": "myeventhub.servicesbus.windows.net"
    },
    "deviceMapping": {
      "content": {
        "templateType": "CollectionContent",
        "template": [
          {
            "templateType": "JsonPathContent",
            "template": {
              "typeName": "heartrate",
              "typeMatchExpression": "$..[?(@heartrate)]",
              "deviceIdExpression": "$.deviceid",
              "timestampExpression": "$.measurementdatetime",
              "values": [
                {
                  "required": "true",
                  "valueExpression": "$.heartrate",
                  "valueName": "hr"
                }
              ]
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}
{
  "name": "blue",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors",
  "location": "westus",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "tags": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "identity": {
    "type": "SystemAssigned"
  },
  "properties": {
    "provisioningState": "Accepted",
    "ingestionEndpointConfiguration": {
      "eventHubName": "MyEventHubName",
      "consumerGroup": "ConsumerGroupA",
      "fullyQualifiedEventHubNamespace": "myeventhub.servicesbus.windows.net"
    },
    "deviceMapping": {
      "content": {
        "templateType": "CollectionContent",
        "template": [
          {
            "templateType": "JsonPathContent",
            "template": {
              "typeName": "heartrate",
              "typeMatchExpression": "$..[?(@heartrate)]",
              "deviceIdExpression": "$.deviceid",
              "timestampExpression": "$.measurementdatetime",
              "values": [
                {
                  "required": "true",
                  "valueExpression": "$.heartrate",
                  "valueName": "hr"
                }
              ]
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorDetails

Foutdetails.

ErrorDetailsInternal

Foutdetails.

Identity

Instelling die aangeeft of aan de service een beheerde identiteit is gekoppeld.

IotConnector

Definitie van IoT-connector.

IotEventHubIngestionEndpointConfiguration

Configuratie van event hub-opname-eindpunt

IotMappingProperties

De toewijzingsinhoud.

provisioningState

De inrichtingsstatus.

ServiceManagedIdentityType

Het type identiteit dat wordt opgegeven, momenteel SystemAssigned en None zijn toegestaan.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

UserAssignedIdentity

Door de gebruiker toegewezen identiteitseigenschappen

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorDetails

Foutdetails.

Name Type Description
error

ErrorDetailsInternal

Foutdetails

ErrorDetailsInternal

Foutdetails.

Name Type Description
code

string

De foutcode.

message

string

Het foutbericht.

target

string

Het doel van de specifieke fout.

Identity

Instelling die aangeeft of aan de service een beheerde identiteit is gekoppeld.

Name Type Description
principalId

string (uuid)

De service-principal-id van de door het systeem toegewezen identiteit. Deze eigenschap wordt alleen verstrekt voor een door het systeem toegewezen identiteit.

tenantId

string (uuid)

De tenant-id van de door het systeem toegewezen identiteit. Deze eigenschap wordt alleen verstrekt voor een door het systeem toegewezen identiteit.

type

ServiceManagedIdentityType

Het type identiteit dat wordt opgegeven, momenteel SystemAssigned en None zijn toegestaan.

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned identiteiten
De set door de gebruiker toegewezen identiteiten die aan de resource zijn gekoppeld. De woordenlijstsleutels userAssignedIdentities zijn ARM-resource-id's in de vorm: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. De waarden van de woordenlijst kunnen lege objecten ({}) zijn in aanvragen.

IotConnector

Definitie van IoT-connector.

Name Type Description
etag

string

Een etag die is gekoppeld aan de resource, die wordt gebruikt voor optimistische gelijktijdigheid bij het bewerken ervan.

id

string

De resource-id.

identity

Identity

Instelling die aangeeft of aan de service een beheerde identiteit is gekoppeld.

location

string

De resourcelocatie.

name

string

pattern: ^[a-z0-9][a-z0-9-]{1,21}[a-z0-9]$

De resourcenaam.

properties.deviceMapping

IotMappingProperties

Apparaattoewijzingen.

properties.ingestionEndpointConfiguration

IotEventHubIngestionEndpointConfiguration

Bronconfiguratie.

properties.provisioningState

provisioningState

De inrichtingsstatus.

systemData

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

tags

object

Resourcetags.

type

string

Het resourcetype.

IotEventHubIngestionEndpointConfiguration

Configuratie van event hub-opname-eindpunt

Name Type Description
consumerGroup

string

Consumentengroep van de Event Hub om verbinding mee te maken.

eventHubName

string

Event Hub-naam waarmee u verbinding wilt maken.

fullyQualifiedEventHubNamespace

string

Volledig gekwalificeerde naamruimte van de Event Hub waarmee verbinding moet worden gemaakt.

IotMappingProperties

De toewijzingsinhoud.

Name Type Description
content

object

De toewijzing.

provisioningState

De inrichtingsstatus.

Waarde Description
Deleting
Succeeded
Creating
Accepted
Verifying
Updating
Failed
Canceled
Deprovisioned
Moving
Suspended
Warned
SystemMaintenance

ServiceManagedIdentityType

Het type identiteit dat wordt opgegeven, momenteel SystemAssigned en None zijn toegestaan.

Waarde Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.

UserAssignedIdentity

Door de gebruiker toegewezen identiteitseigenschappen

Name Type Description
clientId

string (uuid)

De client-id van de toegewezen identiteit.

principalId

string (uuid)

De principal-id van de toegewezen identiteit.